Package org.codehaus.groovy.util

# Class ReferenceManager

java.lang.Object
org.codehaus.groovy.util.ReferenceManager

    public class ReferenceManager
    extends Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReferenceManager​(ReferenceQueue queue)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `afterReferenceCreation​(Reference r)` |
  `static ReferenceManager` | `createCallBackedManager​(ReferenceQueue queue)` |
  `static ReferenceManager` | `createIdlingManager​(ReferenceQueue queue)` |
  `static ReferenceManager` | `createThreadedManager​(ReferenceQueue queue)` |
  `static ReferenceManager` | `createThresholdedIdlingManager​(ReferenceQueue queue, ReferenceManager callback, int threshold)` |
  `static ReferenceBundle` | `getDefaultSoftBundle()` | Deprecated. use `ReferenceBundle.getSoftBundle()`
  `static ReferenceBundle` | `getDefaultWeakBundle()` | Deprecated. use `ReferenceBundle.getWeakBundle()`
  `protected ReferenceQueue` | `getReferenceQueue()` |
  `void` | `removeStallEntries()` |
  `void` | `stopThread()` |
  `String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReferenceManager

    public ReferenceManager​(ReferenceQueue queue)

- ## Method Details

  - ### createThreadedManager

    public static ReferenceManager createThreadedManager​(ReferenceQueue queue)

  - ### createIdlingManager

    public static ReferenceManager createIdlingManager​(ReferenceQueue queue)

  - ### createCallBackedManager

    public static ReferenceManager createCallBackedManager​(ReferenceQueue queue)

  - ### createThresholdedIdlingManager

    public static ReferenceManager createThresholdedIdlingManager​(ReferenceQueue queue, ReferenceManager callback, int threshold)

  - ### getReferenceQueue

    protected ReferenceQueue getReferenceQueue()

  - ### afterReferenceCreation

    public void afterReferenceCreation​(Reference r)

  - ### removeStallEntries

    public void removeStallEntries()

  - ### stopThread

    public void stopThread()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDefaultSoftBundle

    @Deprecated public static ReferenceBundle getDefaultSoftBundle()
    Deprecated.
    use `ReferenceBundle.getSoftBundle()`

  - ### getDefaultWeakBundle

    @Deprecated public static ReferenceBundle getDefaultWeakBundle()
    Deprecated.
    use `ReferenceBundle.getWeakBundle()`